%define upstream_name    Dist-Zilla-Plugin-Test-Perl-Critic
%define upstream_version 3.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tests to check your code against best practices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(autodie)
BuildArch:  noarch

Obsoletes: perl-Dist-Zilla-Plugin-CriticTests <= 1.111.450
Provides:  perl-Dist-Zilla-Plugin-CriticTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

* * t/author/critic.t - a standard test to check your code against best
  practices

This plugin does not accept any option yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.0.0-3.mga6
+ Revision: 1026605
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 3.0.0-2.mga6
+ Revision: 966745
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 3.0.0-1.mga6
+ Revision: 846756
- update to 3.000

* Wed Oct 15 2014 umeabot <umeabot> 2.112.410-5.mga5
+ Revision: 748980
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.112.410-3.mga4
+ Revision: 511219
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.112.410-2.mga3
+ Revision: 366497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 29 2011 jquelin <jquelin> 2.112.410-1.mga2
+ Revision: 136043
- update to 2.112410
- dist renamed upstream

* Wed Jun 15 2011 jquelin <jquelin> 1.111.450-1.mga2
+ Revision: 106840
- update to 1.111450

* Wed Jan 26 2011 jquelin <jquelin> 1.102.280-1.mga1
+ Revision: 40395
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CriticTests

